summaryrefslogtreecommitdiffstats
path: root/patches/source/ntp/rc.ntpd
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2023-06-02 20:56:35 +0000
committer Eric Hameleers <alien@slackware.com>2023-06-03 13:30:32 +0200
commit3f544e903a450a5d34f6fa71212a4a8d4a277e67 (patch)
treec3f40790bbd25428b4cd841d5a2df3167f2cb2fc /patches/source/ntp/rc.ntpd
parentf33a393b0f5440b4b2cc9c0932b6205f86463fb4 (diff)
downloadcurrent-3d7b9398eccfd2033de27ff46ccfd1674ae18695.tar.gz
current-3d7b9398eccfd2033de27ff46ccfd1674ae18695.tar.xz
Fri Jun 2 20:56:35 UTC 202320230602205635_15.0
patches/packages/cups-2.4.3-x86_64-1_slack15.0.txz: Upgraded. Fixed a heap buffer overflow in _cups_strlcpy(), when the configuration file cupsd.conf sets the value of loglevel to DEBUG, that could allow a remote attacker to launch a denial of service (DoS) attack, or possibly execute arbirary code. For more information, see: https://www.cve.org/CVERecord?id=CVE-2023-32324 (* Security fix *) patches/packages/ntp-4.2.8p16-x86_64-1_slack15.0.txz: Upgraded. This update fixes bugs and security issues. For more information, see: https://www.cve.org/CVERecord?id=CVE-2023-26551 https://www.cve.org/CVERecord?id=CVE-2023-26552 https://www.cve.org/CVERecord?id=CVE-2023-26553 https://www.cve.org/CVERecord?id=CVE-2023-26554 https://www.cve.org/CVERecord?id=CVE-2023-26555 (* Security fix *)
Diffstat (limited to 'patches/source/ntp/rc.ntpd')
-rw-r--r--patches/source/ntp/rc.ntpd55
1 files changed, 55 insertions, 0 deletions
diff --git a/patches/source/ntp/rc.ntpd b/patches/source/ntp/rc.ntpd
new file mode 100644
index 000000000..9d1e3e88f
--- /dev/null
+++ b/patches/source/ntp/rc.ntpd
@@ -0,0 +1,55 @@
+#!/bin/sh
+# Start/stop/restart ntpd.
+
+# Start ntpd:
+ntpd_start() {
+ echo -n "Starting NTP daemon: /usr/sbin/ntpd -g -u ntp:ntp"
+ /usr/sbin/ntpd -g -u ntp:ntp
+ echo
+}
+
+# Stop ntpd:
+ntpd_stop() {
+ echo -n "Stopping NTP daemon..."
+ if [ -r /run/ntpd.pid ]; then
+ kill -HUP $(cat /run/ntpd.pid)
+ rm -f /run/ntpd.pid
+ else
+ killall -HUP -q ntpd
+ fi
+ echo
+}
+
+# Restart ntpd:
+ntpd_restart() {
+ ntpd_stop
+ sleep 1
+ ntpd_start
+}
+
+# Check if ntpd is running
+ntpd_status() {
+ if [ -e /run/ntpd.pid ]; then
+ echo "ntpd is running as pid $(cat /run/ntpd.pid)."
+ else
+ echo "ntpd is stopped."
+ exit 1
+ fi
+}
+
+case "$1" in
+'start')
+ ntpd_start
+ ;;
+'stop')
+ ntpd_stop
+ ;;
+'restart')
+ ntpd_restart
+ ;;
+'status')
+ ntpd_status
+ ;;
+*)
+ echo "usage $0 start|stop|restart|status"
+esac